### Class

# PangoXft Font

#### Description [src]

    final class PangoXft.Font : PangoFc.Font {
      /* No available fields */
    }

`PangoXftFont` is an implementation of `PangoFcFont` using the Xft library for rendering. It is used in conjunction with `PangoXftFontMap`.

#### Ancestors

- PangoFcFont
- PangoFont
- GObject

#### Instance methods

###### pango_xft_font_get_display

Returns the X display of the `XftFont` of a font.

###### pango_xft_font_get_glyph

Gets the glyph index for a given Unicode character for `font`.

Available since: 1.2

###### pango_xft_font_get_unknown_glyph

Returns the index of a glyph suitable for drawing `wc` as an unknown character.

###### pango_xft_font_has_char

Determines whether `font` has a glyph for the codepoint `wc`.

Available since: 1.2

###### pango_xft_font_lock_face

Gets the FreeType `FT_Face` associated with a font.

Available since: 1.2

###### pango_xft_font_unlock_face

Releases a font previously obtained with `pango_xft_font_lock_face()`.

Available since: 1.2

#### Functions

###### pango_xft_font_get_font

Returns the `XftFont` of a font.